Patches for aports can be sent to this list

4

[alpine-aports] [PATCH 1/5] main/skalibs: new upstream version 2.3.7.0

Christian Kampka
Details
Message ID
<1443375237-31370-1-git-send-email-christian@kampka.net>
Sender timestamp
1443375233
DKIM signature
missing
Download raw message
Patch: +4 -4
---
 main/skalibs/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/skalibs/APKBUILD b/main/skalibs/APKBUILD
index 3b6e58a..d203644 100644
--- a/main/skalibs/APKBUILD
+++ b/main/skalibs/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: John Regan <john@jrjrtech.com>
 # Maintainer: John Regan <john@jrjrtech.com>
 pkgname=skalibs
-pkgver=2.3.6.1
+pkgver=2.3.7.0
 pkgrel=0
 pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
 url="http://skarnet.org/software/skalibs/"
@@ -52,6 +52,6 @@ dev() {
 	rm -rf "$pkgdir/usr/lib/skalibs"
 }
 
-md5sums="79ce54574f05f4f1b81ef5b2760aac6f  skalibs-2.3.6.1.tar.gz"
-sha256sums="bf35cb9698b15becb5c527a48e9cca0523c6e215540c19add8f8588852c2cd63  skalibs-2.3.6.1.tar.gz"
-sha512sums="13231bf491aa9cfd49de1e27f189eb1f17bb6ee6446bb2aadf8cac3062a4c477b39493d764e7998897df34dfc39ba4d8d563ed2ba89581ffc33af8789a2fba11  skalibs-2.3.6.1.tar.gz"
+md5sums="e84e1be94e0059f7f7abfde7f4e4a7a2  skalibs-2.3.7.0.tar.gz"
+sha256sums="54564a4fdb2131116b52debe529e0571faf8b2525cecbe4082642edde454f2c8  skalibs-2.3.7.0.tar.gz"
+sha512sums="dfe31f5a168c1a0ed9931ddea20d129293d34252f2ffc1be9556b0812e6abbfce50800429cbcc17e6c766847161c48eee69e7c0f14625da6d862e650332bf65c  skalibs-2.3.7.0.tar.gz"
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/5] testing/s6-portable-utils: new upstream release 2.0.5.2

Christian Kampka
Details
Message ID
<1443375237-31370-2-git-send-email-christian@kampka.net>
In-Reply-To
<1443375237-31370-1-git-send-email-christian@kampka.net> (view parent)
Sender timestamp
1443375234
DKIM signature
missing
Download raw message
Patch: +4 -4
---
 testing/s6-portable-utils/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/testing/s6-portable-utils/APKBUILD b/testing/s6-portable-utils/APKBUILD
index 96a7aab..fd00ee2 100644
--- a/testing/s6-portable-utils/APKBUILD
+++ b/testing/s6-portable-utils/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: John Regan <john@jrjrtech.com>
 # Maintainer: John Regan <john@jrjrtech.com>
 pkgname=s6-portable-utils
-pkgver=2.0.5.1
+pkgver=2.0.5.2
 pkgrel=0
 pkgdesc="skarnet.org's tiny portable generic utilities"
 url="http://skarnet.org/software/$pkgname/"
@@ -44,6 +44,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="3075acc9d0ad5434fca12f2fbbd311b2  s6-portable-utils-2.0.5.1.tar.gz"
-sha256sums="35d30b210ba04e92ab7a11ddaffc75c409885b4462f569beecbc05ef879b2cc1  s6-portable-utils-2.0.5.1.tar.gz"
-sha512sums="2b126d268eea71cc40feb25448b7513e78638df6d9a6f65a611401cafd661423d4e3c71a30fb7cf85bface0bf81d959283d071faa5ef37bc8a8417fd7cb57e39  s6-portable-utils-2.0.5.1.tar.gz"
+md5sums="bda96373eda48b61c6283439a7619a36  s6-portable-utils-2.0.5.2.tar.gz"
+sha256sums="f54b52628efb1406f05a774fe67793a1f0cd18447e8160452579a9603edead34  s6-portable-utils-2.0.5.2.tar.gz"
+sha512sums="6d07ae6c1f4ccc49cd40827dce15d1578f91fc89d68ab2267dfe2946422d66b044989f2e7885a2aa9761fe9e3ca1b34c7f2c228526fec204c13e77f1e3dcd4fc  s6-portable-utils-2.0.5.2.tar.gz"
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/5] main/s6-portable-utils: move to main

Christian Kampka
Details
Message ID
<1443375237-31370-3-git-send-email-christian@kampka.net>
In-Reply-To
<1443375237-31370-1-git-send-email-christian@kampka.net> (view parent)
Sender timestamp
1443375235
DKIM signature
missing
Download raw message
Patch: +49 -49
---
 main/s6-portable-utils/APKBUILD    | 49 ++++++++++++++++++++++++++++++++++++++
 testing/s6-portable-utils/APKBUILD | 49 --------------------------------------
 2 files changed, 49 insertions(+), 49 deletions(-)
 create mode 100644 main/s6-portable-utils/APKBUILD
 delete mode 100644 testing/s6-portable-utils/APKBUILD

diff --git a/main/s6-portable-utils/APKBUILD b/main/s6-portable-utils/APKBUILD
new file mode 100644
index 0000000..fd00ee2
--- /dev/null
+++ b/main/s6-portable-utils/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: John Regan <john@jrjrtech.com>
+# Maintainer: John Regan <john@jrjrtech.com>
+pkgname=s6-portable-utils
+pkgver=2.0.5.2
+pkgrel=0
+pkgdesc="skarnet.org's tiny portable generic utilities"
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="bda96373eda48b61c6283439a7619a36  s6-portable-utils-2.0.5.2.tar.gz"
+sha256sums="f54b52628efb1406f05a774fe67793a1f0cd18447e8160452579a9603edead34  s6-portable-utils-2.0.5.2.tar.gz"
+sha512sums="6d07ae6c1f4ccc49cd40827dce15d1578f91fc89d68ab2267dfe2946422d66b044989f2e7885a2aa9761fe9e3ca1b34c7f2c228526fec204c13e77f1e3dcd4fc  s6-portable-utils-2.0.5.2.tar.gz"
diff --git a/testing/s6-portable-utils/APKBUILD b/testing/s6-portable-utils/APKBUILD
deleted file mode 100644
index fd00ee2..0000000
--- a/testing/s6-portable-utils/APKBUILD
@@ -1,49 +0,0 @@
-# Contributor: John Regan <john@jrjrtech.com>
-# Maintainer: John Regan <john@jrjrtech.com>
-pkgname=s6-portable-utils
-pkgver=2.0.5.2
-pkgrel=0
-pkgdesc="skarnet.org's tiny portable generic utilities"
-url="http://skarnet.org/software/$pkgname/"
-arch="all"
-license="ISC"
-depends="skalibs"
-depends_dev="skalibs-dev"
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-dev"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--enable-shared \
-		--enable-static \
-		--disable-allstatic \
-		--prefix=/usr \
-		--libdir=/usr/lib \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="bda96373eda48b61c6283439a7619a36  s6-portable-utils-2.0.5.2.tar.gz"
-sha256sums="f54b52628efb1406f05a774fe67793a1f0cd18447e8160452579a9603edead34  s6-portable-utils-2.0.5.2.tar.gz"
-sha512sums="6d07ae6c1f4ccc49cd40827dce15d1578f91fc89d68ab2267dfe2946422d66b044989f2e7885a2aa9761fe9e3ca1b34c7f2c228526fec204c13e77f1e3dcd4fc  s6-portable-utils-2.0.5.2.tar.gz"
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/5] main/execline: new upstream version 2.1.4.0

Christian Kampka
Details
Message ID
<1443375237-31370-4-git-send-email-christian@kampka.net>
In-Reply-To
<1443375237-31370-1-git-send-email-christian@kampka.net> (view parent)
Sender timestamp
1443375236
DKIM signature
missing
Download raw message
Patch: +4 -4
---
 main/execline/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/main/execline/APKBUILD b/main/execline/APKBUILD
index c758c03..c59ea10 100644
--- a/main/execline/APKBUILD
+++ b/main/execline/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: John Regan <john@jrjrtech.com>
 # Maintainer: John Regan <john@jrjrtech.com>
 pkgname=execline
-pkgver=2.1.3.1
+pkgver=2.1.4.0
 pkgrel=0
 pkgdesc="A small scripting language, to be used in place of a shell in non-interactive scripts."
 url="http://skarnet.org/software/$pkgname/"
@@ -44,6 +44,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="8d54f85f63ab51fab38960c5f4e65731  execline-2.1.3.1.tar.gz"
-sha256sums="7291d7c0e40f9706fc223abe290bb07a71fcf5fceec079a715e7d25bd2700236  execline-2.1.3.1.tar.gz"
-sha512sums="eddac45805d36f1ecc182f5782ba5b1db917635a761ac81074646666022a1f3963867bed693a7f66180f3616f067ca297fb4cc3e67c938387514112f8d25972a  execline-2.1.3.1.tar.gz"
+md5sums="d43dda8bc4f349933b0039e1ed5a8404  execline-2.1.4.0.tar.gz"
+sha256sums="e400b195865d73f8f9195aa8b74efa8b5d1d41bff71fbfaf73ee59f5caef767e  execline-2.1.4.0.tar.gz"
+sha512sums="6a6ab7fc8485958e8cb8b72b8a4aa00a184f4edba25f751baa98312d7f8432ce2f64bd4abab36fa008776ac382f07f900b1e49b5e15d20bbabc7f89056913419  execline-2.1.4.0.tar.gz"
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 5/5] main/s6-linux-utils: moved from testing

Christian Kampka
Details
Message ID
<1443375237-31370-5-git-send-email-christian@kampka.net>
In-Reply-To
<1443375237-31370-1-git-send-email-christian@kampka.net> (view parent)
Sender timestamp
1443375237
DKIM signature
missing
Download raw message
Patch: +49 -49
---
 main/s6-linux-utils/APKBUILD    | 49 +++++++++++++++++++++++++++++++++++++++++
 testing/s6-linux-utils/APKBUILD | 49 -----------------------------------------
 2 files changed, 49 insertions(+), 49 deletions(-)
 create mode 100644 main/s6-linux-utils/APKBUILD
 delete mode 100644 testing/s6-linux-utils/APKBUILD

diff --git a/main/s6-linux-utils/APKBUILD b/main/s6-linux-utils/APKBUILD
new file mode 100644
index 0000000..31de88a
--- /dev/null
+++ b/main/s6-linux-utils/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Christian Kampka <christian@kampka.net>
+# Maintainer: Christian Kampka <christian@kampka.net>
+pkgname=s6-linux-utils
+pkgver=2.0.2.2
+pkgrel=0
+pkgdesc="A set of tiny Linux-specific utilities optimized for simplicity and small size."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="d103b1770c914e801b5aaef4f3dbfecf  s6-linux-utils-2.0.2.2.tar.gz"
+sha256sums="ed666f14bcf6428bbb34c39281a08b698fb3d9458a77f4d47ccbf72c9ef68b13  s6-linux-utils-2.0.2.2.tar.gz"
+sha512sums="8188ab19e666fe4b9e501cdd4f28a59be634f5ff628043a3929744bff56aa13f40258180344c27f3b0af4c0c93106da34609ab556ed481685e919db707b01a69  s6-linux-utils-2.0.2.2.tar.gz"
diff --git a/testing/s6-linux-utils/APKBUILD b/testing/s6-linux-utils/APKBUILD
deleted file mode 100644
index 31de88a..0000000
--- a/testing/s6-linux-utils/APKBUILD
@@ -1,49 +0,0 @@
-# Contributor: Christian Kampka <christian@kampka.net>
-# Maintainer: Christian Kampka <christian@kampka.net>
-pkgname=s6-linux-utils
-pkgver=2.0.2.2
-pkgrel=0
-pkgdesc="A set of tiny Linux-specific utilities optimized for simplicity and small size."
-url="http://skarnet.org/software/$pkgname/"
-arch="all"
-license="ISC"
-depends="skalibs"
-depends_dev="skalibs-dev"
-makedepends="$depends_dev linux-headers"
-install=""
-subpackages="$pkgname-dev"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--enable-shared \
-		--enable-static \
-		--disable-allstatic \
-		--prefix=/usr \
-		--libdir=/usr/lib \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="d103b1770c914e801b5aaef4f3dbfecf  s6-linux-utils-2.0.2.2.tar.gz"
-sha256sums="ed666f14bcf6428bbb34c39281a08b698fb3d9458a77f4d47ccbf72c9ef68b13  s6-linux-utils-2.0.2.2.tar.gz"
-sha512sums="8188ab19e666fe4b9e501cdd4f28a59be634f5ff628043a3929744bff56aa13f40258180344c27f3b0af4c0c93106da34609ab556ed481685e919db707b01a69  s6-linux-utils-2.0.2.2.tar.gz"
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---